Reopen accounting period
POST
/api/accounting/periods/{id}/reopen
const url = 'https://api.getvespy.com/api/accounting/periods/example/reopen';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/accounting/periods/example/reopen \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "reason": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
reason
required
string
Examplegenerated
{ "reason": "example"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
closedAt
required
string format: date-time
closedByUserId
required
string format: uuid
createdAt
required
string format: date-time
endDate
required
string format: date
fiscalYear
required
integer
id
required
string format: uuid
organizationId
required
string format: uuid
periodNumber
required
integer
reopenReason
required
string
reopenedAt
required
string format: date-time
reopenedByUserId
required
string format: uuid
startDate
required
string format: date
status
required
string
updatedAt
required
string format: date-time
Example
{ "status": "open"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}